#pragma once
#include<osgViewer/Viewer>

class extViewer : public osgViewer::Viewer
{
public:
        extViewer();

        extViewer(osg::ArgumentParser& arguments);

        extViewer(const osgViewer::Viewer& viewer, const osg::CopyOp& copyop=osg::CopyOp::SHALLOW_COPY);

        virtual ~extViewer();

		/** Convenience method for projection on curved screens using a slave camera rendering scene and a second camera doing distortion correction to present on a nonplaner display.*/
        void setUpViewForManualDistortion(unsigned int screenNum=0, osg::Image* intensityMap=0, const osg::Matrixd& projectorMatrix = osg::Matrixd());
};
